summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson2011-08-27 15:53:54 +0200
committer Niels Horn2011-08-27 15:53:54 +0200
commit54d31fbd684c9eb866cc059c54d5ab501e36ca60 (patch)
tree5f8038d6e77c2bc2237495e33a89eda5598eff94 /audio
parent032eeb5180641514ba92507106b75638bd920891 (diff)
downloadslackbuilds-54d31fbd684c9eb866cc059c54d5ab501e36ca60.tar.gz
audio/horgand: Added (organ sounds softsynth)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/horgand/README6
-rw-r--r--audio/horgand/doinst.sh3
-rw-r--r--audio/horgand/horgand.SlackBuild88
-rw-r--r--audio/horgand/horgand.desktop9
-rw-r--r--audio/horgand/horgand.info10
-rw-r--r--audio/horgand/slack-desc19
6 files changed, 135 insertions, 0 deletions
diff --git a/audio/horgand/README b/audio/horgand/README
new file mode 100644
index 0000000000..e3a8d58e29
--- /dev/null
+++ b/audio/horgand/README
@@ -0,0 +1,6 @@
+horgand is a softsynth, really simple and easy to use, specially designed
+to produce organ sounds, and is also capable of generating other sound
+types like Electric Pianos, Jazz Guitar, Strings, Brass, Fretless Bass,
+Accordion etc. using low CPU resources.
+
+This requires fltk and jack-audio-connection-kit.
diff --git a/audio/horgand/doinst.sh b/audio/horgand/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/horgand/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/horgand/horgand.SlackBuild b/audio/horgand/horgand.SlackBuild
new file mode 100644
index 0000000000..e2b26c7302
--- /dev/null
+++ b/audio/horgand/horgand.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for horgand
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=horgand
+VERSION=${VERSION:-1.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# .desktop file borrowed from Debian package, with thanks.
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cat src/${PRGNAM}128.xpm > $PKG/usr/share/pixmaps/$PRGNAM.xpm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/horgand/horgand.desktop b/audio/horgand/horgand.desktop
new file mode 100644
index 0000000000..d8e1eb9f70
--- /dev/null
+++ b/audio/horgand/horgand.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Horgand
+GenericName=Soft Synth
+Comment=Organd Soft Synth
+Type=Application
+Categories=AudioVideo;Audio;
+Exec=horgand
+Icon=horgand
+Terminal=false
diff --git a/audio/horgand/horgand.info b/audio/horgand/horgand.info
new file mode 100644
index 0000000000..1ff3ebd78e
--- /dev/null
+++ b/audio/horgand/horgand.info
@@ -0,0 +1,10 @@
+PRGNAM="horgand"
+VERSION="1.14"
+HOMEPAGE="http://horgand.berlios.de/"
+DOWNLOAD="http://download.berlios.de/horgand/horgand-1.14.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="e2bd4720a262cb739a2132904c241828"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/horgand/slack-desc b/audio/horgand/slack-desc
new file mode 100644
index 0000000000..bfffca3831
--- /dev/null
+++ b/audio/horgand/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+horgand: horgand (organ sounds softsynth)
+horgand:
+horgand: horgand is a softsynth, really simple and easy to use, specially
+horgand: designed to produce organ sounds, and is also capable of generating
+horgand: other sound types like Electric Pianos, Jazz Guitar, Strings, Brass,
+horgand: Fretless Bass, Accordion etc. using low CPU resources.
+horgand:
+horgand:
+horgand:
+horgand:
+horgand: